﻿using Infragistics.Controls.Charts;
using Infragistics.Windows;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamPieChartOneExplodedCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void XamPieChart_SliceClick(object sender, Infragistics.Controls.Charts.SliceClickEventArgs e)
        {
            XamPieChart pie = sender as XamPieChart;

            Canvas firstCanvas = Utilities.GetDescendantFromType(pie, typeof(Canvas), false) as Canvas;

            Canvas sliceCanvas = firstCanvas.Children[0] as Canvas;


            if (e.IsExploded)
            {
                e.IsExploded = false;
            }
            else
            {
                foreach (Slice s in sliceCanvas.Children)
                {
                    s.IsExploded = false;
                }
                e.IsExploded = true;
            }
        }
    }
}
